var dataDatos = []

function FrmGuardarContrato() {
    $.post('?c=Contrato&a=FrmGuardarContrato', {
    }, function (data) {
        $(".content-wrapper").html(data);
        dataDatos = []
    });
}

function FrmEditarContrato(Contrato_Id) {
    $.post('?c=Contrato&a=FrmEditarContrato', {
        Contrato_Id: Contrato_Id
    }, function (data) {
        $(".content-wrapper").html(data)
        estadoDetalle()
    })
}

function estadoDetalle() {
    let detalle_table = document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[0].innerText
    let num_td = document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr').length

    if (detalle_table == "No hay información") { // está vacío
        return
    }

    for (let i = 0; i < num_td; i++) {
        console.log(document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i])
        dataDatos.push({
            sDetConCodigo: document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[0].innerText,
            sDetConSerie: document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[1].innerText,
            sDetConTipo: document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[2].innerText,
            sDetConSucursal: document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[3].innerText,
            sDetConUbicacion: document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[4].innerText,
            sDetConHorasOperacion: document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[5].innerText,
            xpos: document.getElementById('table-ls-detalle-contrato').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[6].innerText
        })

    }
}

function mostrarContrato(Contrato_Id) {
    $.post('?c=Contrato&a=MostrarContrato', {
        Contrato_Id: Contrato_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

function verificarNumeroContratoExistente(Contrato_Id, sConNumero, callback) {
    $.post('?c=Contrato&a=VerificarNumeroContrato', { Contrato_Id: Contrato_Id, sConNumero: sConNumero }, function (data) {
        if (typeof callback === "function") {
            callback(data === '1');
        }
    });
}

function guardarContrato() {
    let sConNumero = document.getElementById('sConNumero').value
    let nConCliente_Id = document.getElementById('nConCliente_Id').value
    let dConFecha = document.getElementById('dConFecha').value
    let dConFechaInicio = document.getElementById('dConFechaInicio').value
    let dConFechaTermino = document.getElementById('dConFechaTermino').value
    let sConPeriodoAlquiler = document.getElementById('sConPeriodoAlquiler').value
    let Contrato_Id = document.getElementById('Contrato_Id').value
    // let sConHorasOperacion = document.getElementById('sConHorasOperacion').value
    let sConSucursal = null
    let sConUbicacion = document.getElementById('sConUbicacion').value
    let datasend = {
        sConNumero,
        nConCliente_Id,
        dConFecha,
        dConFechaInicio,
        dConFechaTermino,
        sConPeriodoAlquiler,
        Contrato_Id,
        dataDatos,
        sConSucursal,
        sConUbicacion
    }

    verificarNumeroContratoExistente(Contrato_Id, sConNumero, function (existe) {
        if (existe) {
            swal(
                'Advertencia',
                `Este contrato ya existe en la base de datos!`,
                'warning'
            )
        } else {
            $.post('?c=Contrato&a=GuardarContrato', datasend, function (data) {
                $('html, body').animate({
                    scrollTop: '0px'
                })
                $("#resultado").html(data)
                setTimeout(() => {
                    window.location.reload()
                }, 1000);
            })
        }
    });
}

function editarInfo(codigo) {
    // let xcodigo = document.getElementById(`row-${codigo}`).children[0].innerText
    // let search = dataDatos.filter(data => data.sDetConCodigo == xcodigo)
    let search = dataDatos.filter(data => data.xpos == codigo)
    setDatos(search, codigo)
    document.getElementById('btn-add-detalle').innerText = 'Modificar'
}

function removeRow(codigo) {
    // let xcodigo = document.getElementById(`row-${codigo}`).children[0].innerText
    dataDatos = dataDatos.filter(data => data.xpos != codigo)
    llenarTabla()
}

function llenarTabla() {
    let tableHTML = ''
    let row = 0
    if (dataDatos.length <= 0) {
        tableHTML += `
            <tr>
                <td class="text-center" colspan="7">No hay información</td>
            </tr>
        `
    }

    dataDatos.forEach(data => {
        row++
        tableHTML += `
            <tr id="row-${row}">
                <td>${data.sDetConCodigo}</td>
                <td>${data.sDetConSerie}</td>
                <td>${data.sDetConTipo}</td>
                <td>${data.sDetConSucursal}</td>
                <td>${data.sDetConUbicacion}</td>
                <td>${data.sDetConHorasOperacion}</td>
                <td style="display:none;">${data.xpos = row}</td>
                <td>
                <button type="button" onclick="editarInfo(${row})"
                    class="btn btn-primary btn-xs">
                    <i class="fa fa-pencil"></i>
                </button>
                <button type="button" onclick="removeRow(${row})" class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i></button>
                </td>
            </tr>
        `
    })
    let table = document.getElementById('table-ls-detalle-contrato')

    table.getElementsByTagName('tbody')[0].innerHTML = tableHTML
}

function LimpiarCampos() {
    document.getElementById('id-detalle-contrato').value = 0
    document.getElementById('sDetConCodigo').value = ''
    document.getElementById('sDetConSerie').value = ''
    document.getElementById('sDetConTipo').value = ''
    document.getElementById('sDetConUbicacion').value = ''
    document.getElementById('sDetConHorasOperacion').value = ''
    document.getElementById('sDetConSucursal').value = ''
}

function setDatos(data, codigo) {
    document.getElementById('id-detalle-contrato').value = codigo
    document.getElementById('sDetConCodigo').value = data[0].sDetConCodigo
    document.getElementById('sDetConSerie').value = data[0].sDetConSerie
    document.getElementById('sDetConTipo').value = data[0].sDetConTipo
    document.getElementById('sDetConUbicacion').value = data[0].sDetConUbicacion
    document.getElementById('sDetConHorasOperacion').value = data[0].sDetConHorasOperacion
    document.getElementById('sDetConSucursal').value = data[0].sDetConSucursal
}

$("#btn-add-detalle").click(function () {
    let sDetConCodigo = document.getElementById('sDetConCodigo').value
    let sDetConSerie = document.getElementById('sDetConSerie').value
    let sDetConTipo = document.getElementById('sDetConTipo').value
    let sDetConUbicacion = document.getElementById('sDetConUbicacion').value
    let sDetConHorasOperacion = document.getElementById('sDetConHorasOperacion').value
    let xcodigo = document.getElementById('id-detalle-contrato').value
    let sDetConSucursal = document.getElementById('sDetConSucursal').value

    if (sDetConCodigo === "" || sDetConSerie === "" || sDetConTipo === "" || sDetConUbicacion === "" || sDetConHorasOperacion === "" || sDetConSucursal === "") {
        swal(
            'Advertencia',
            `Debe completar los campos obligatorios!`,
            'warning'
        )
        return
    }

    let datos_tabla = {}

    datos_tabla.sDetConCodigo = sDetConCodigo
    datos_tabla.sDetConSerie = sDetConSerie
    datos_tabla.sDetConTipo = sDetConTipo
    datos_tabla.sDetConUbicacion = sDetConUbicacion
    datos_tabla.sDetConHorasOperacion = sDetConHorasOperacion
    datos_tabla.sDetConSucursal = sDetConSucursal

    if (xcodigo != 0) {
        // obtener el index del registro
        let indexObj = dataDatos.findIndex(data => data.xpos == xcodigo)
        Object.assign(dataDatos[indexObj], datos_tabla)
    } else {
        dataDatos.push(datos_tabla)
    }

    llenarTabla()
    LimpiarCampos()
    document.getElementById('btn-add-detalle').innerText = 'Agregar'
});

$("#btn-clear-detalle").click(function () {
    LimpiarCampos()
    document.getElementById('btn-add-detalle').innerText = 'Agregar'
});

$("#btn-save-contrato").click(function () {
    if ($("#FrmContrato").valid()) {
        guardarContrato()
    }
});

function buscarEquipo() {
    document.getElementById('sDetConSerie').value = ''
    document.getElementById('sDetConTipo').value = ''
    document.getElementById('sDetConUbicacion').value = ''
    let inputCodigo = document.getElementById('sDetConCodigo')
    if (!inputCodigo.value) {
        swal(
            'Advertencia',
            `Ingrese un valor válido de código!`,
            'warning'
        )
        inputCodigo.focus()
        return
    }

    $.post('?c=Equipo&a=BuscarEquipo', {
        sActivoFijo: inputCodigo.value
    }, function (data) {
        if (!data) {
            swal(
                'Advertencia',
                `El código ingresado no corresponde a un equipo!`,
                'warning'
            )
            inputCodigo.focus()
            return
        }
        let json = JSON.parse(data)
        document.getElementById('sDetConSerie').value = json.sEqSerie
        document.getElementById('sDetConTipo').value = json.Tipo
    })
}

function showModalEquipos() {
    $('#modal-list-product').modal('show')
}

function agregarEquipo(codigo) {
    document.getElementById('sDetConCodigo').value = codigo
    buscarEquipo()
    $('#modal-list-product').modal('hide')
}

function listarEquipos() {
    const spinnerWrapper = document.getElementById('wrapper_spinner')
    const table2Wrapper = document.getElementById('wrapper_table2')

    spinnerWrapper.classList.remove('hidden')

    $("#table_equipo2").dataTable().fnDestroy()
    $("#table_equipo_body2").empty()
    table2Wrapper.classList.add('hidden')

    $.post('?c=Equipo&a=ListarEquipos', {}, function (data) {
        spinnerWrapper.classList.add('hidden')
        table2Wrapper.classList.remove('hidden')

        $("#table_equipo_body2").html(data)
        $("#table_equipo2").dataTable({
            "iDisplayLength": 5
        })
    })
}

function filtrarPorTipo(param) {
    const autoCompleteElement = document.getElementById('auto_complete')
    const spinnerWrapper = document.getElementById('wrapper_spinner')
    const table2Wrapper = document.getElementById('wrapper_table2')

    spinnerWrapper.classList.remove('hidden')

    $("#table_equipo2").dataTable().fnDestroy()

    $("#table_equipo_body2").empty()

    if (param == 0) {
        autoCompleteElement.innerHTML = ''
    } else if (param == 1) {
        autoCompleteElement.innerHTML = 'GE'
    } else if (param == 2) {
        autoCompleteElement.innerHTML = 'Torre'
    } else if (param == 3) {
        autoCompleteElement.innerHTML = 'Compresor'
    } else if (param == 4) {
        autoCompleteElement.innerHTML = 'Rodillo compactador'
    }

    table2Wrapper.classList.add('hidden')

    $.post('?c=Equipo&a=ListarEquiposxTipo', { pTipo: param }, function (data) {
        spinnerWrapper.classList.add('hidden')
        table2Wrapper.classList.remove('hidden')

        $("#table_equipo_body2").html(data)
        $("#table_equipo2").dataTable({
            "iDisplayLength": 5
        })
    })
}