function FrmGuardarRepuesto() {
    $.post('?c=Repuesto&a=FrmGuardarRepuesto', {
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function FrmEditarRepuesto(Repuesto_Id) {
    $.post('?c=Repuesto&a=FrmEditarRepuesto', {
        Repuesto_Id: Repuesto_Id
    }, function(data) {
        $('.content-wrapper').html(data)
    })
}

function mostrarRepuesto(Repuesto_Id) {
    $.post('?c=Repuesto&a=MostrarRepuesto', {
        Repuesto_Id: Repuesto_Id
    }, function (data) {
        $("#ver_datos").html(data);
    });
}

function guardarRepuesto() {
    let Repuesto_Id = document.getElementById('Repuesto_Id').value;
    let sRepCodigo = document.getElementById('sRepCodigo').value;

    verificarCodigoExistente(Repuesto_Id, sRepCodigo, function(existe) {
        if (existe) {
            alert("Este código ya existe");
        } else {
            // Continuar con el guardado
            let sRepNombre = document.getElementById('sRepNombre').value;
            $.post('?c=Repuesto&a=GuardarRepuesto', {
                Repuesto_Id: Repuesto_Id,
                sRepCodigo: sRepCodigo,
                sRepNombre: sRepNombre
            }, function(data) {
                $('#resultado').html(data);
                setTimeout(() => {
                    window.location.reload();
                }, 1000);
            });
        }
    });
}


function verificarCodigoExistente(Repuesto_Id, codigo, callback) {
    $.post('?c=Repuesto&a=VerificarCodigo', { Repuesto_Id: Repuesto_Id, sRepCodigo: codigo }, function(data) {
        if (typeof callback === "function") {
            callback(data === '1');
        }
    });
}


$('#btn-save-repuesto').click(function () { 
    if ($("#FrmRepuestos").valid()) {
        // validar que exista el mismo codigo
        guardarRepuesto()
    }
});