            <style>label.error { color: red; }</style>
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Plantilla
                    <small></small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
                    <li class="active">Registrar Plantilla</li>
                </ol>
            </section>
            <!-- Main content -->
            <section class="content">
                <form role="form" method="POST" id="FrmPlantilla">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-6">
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos básicos</h3>
                                </div><!-- /.box-header -->
                                <!-- form start -->
                                <div class="box-body row">
                                    <div id="resultado" class="col-sm-12"></div>
                                    <!-- Date range -->
                                    <div class="form-group col-sm-12">
                                        <label>Nombre</label>
                                        <input type="hidden" id="Plantilla_Id" name="Plantilla_Id" value="<?php echo isset($r) ? $r->__GET("Plantilla_Id") : '0'; ?>">
                                        <input type="text" name="sPlaNombre" id="sPlaNombre" class="form-control" placeholder="Nombre"
                                            value="<?php echo isset($r) ? $r->__GET('sPlaNombre') : '' ?>" />
                                    </div>
                                    <div class="form-group col-sm-12">
                                        <label>Tipo</label>
                                        <select class="form-control" name="nPlaTipoId" id="nPlaTipoId">
                                            <option value="0" disabled selected>Selecciona</option>
                                            <option value="1" <?php echo isset($r) && $r->__get('nPlanTipo') == 1 ? 'selected' : '' ?>>GE</option>
                                            <option value="2" <?php echo isset($r) && $r->__get('nPlanTipo') == 2 ? 'selected' : '' ?>>Torre</option>
                                            <option value="3" <?php echo isset($r) && $r->__get('nPlanTipo') == 3 ? 'selected' : '' ?>>Compresor</option>
                                            <option value="4" <?php echo isset($r) && $r->__get('nPlanTipo') == 4 ? 'selected' : '' ?>>Rodillo compactador</option>
                                        </select>
                                    </div>
                                </div><!-- /.box-body -->
                                <div class="box-footer">
                                    <button type="button" id="btn-save-plantilla" class="btn btn-primary btn-flat">
                                        Guardar información
                                    </button>
                                    <a class="btn btn-danger btn-flat" href="?c=Plantilla&a=Index">Cancelar</a>
                                </div>
                                <!-- Modal modeal-1 -->
                            </div><!-- /.box -->
                        </div><!--/.col (left) -->
                        
                        <div class="col-md-6">

                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos de tarea</h3>
                                </div><!-- /.box-header -->
                                <!-- form start -->
                                <div class="box-body">
                                    <div class="row">
                                        <div class="col-md-12" id="resultado_tarea">

                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label>Tarea</label>
                                            <input type="hidden" name="DetalleTareas_Id" id="DetalleTareas_Id" value="0">
                                            <!-- <input type="text" name="sCliConNombre" id="sCliConNombre" class="form-control" placeholder="Tarea" value="" /> -->
                                            <select name="nTarea_Id" id="nTarea_Id" class="form-control" data-live-search="true" >
                                                <option value="0" disabled selected>Selecciona</option>
                                                <?php foreach($tareas as $t): ?>
                                                    <option value="<?php echo $t->__get('Tarea_Id') ?>"><?php echo $t->__get('sTarNombre') ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <button type="button" class="btn btn-primary btn-flat" id="btn-add-tarea">Agregar</button>
                                            <button type="button" class="btn btn-danger btn-flat" id="btn-clear-tarea">Limpiar</button>
                                        </div>
                                        <div class="col-sm-12">
                                            <h4 style="padding-bottom: 10px; margin-bottom: 15px; border-bottom: 1px solid #f3f3f3;">Lista</h4>
                                        </div>
                                        <div class="col-sm-12">

                                            <table class="table table-bordered table-hover table-striped" id="table-ls-tareas">

                                                <thead>
                                                    <tr>
                                                        <th style="display: none;" data-override="DetalleTareas_Id">Id</th>
                                                        <th data-override="sCliConNombre">Tarea</th>
                                                        <th>#</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php if (isset($lista_tareas) && !empty($lista_tareas)) { ?>
                                                        <?php foreach($lista_tareas as $lt): ?>
                                                            <tr>
                                                            <td style="display: none;"><?php echo $lt->__get('nTarea_Id') ?></td>
                                                            <td><?php echo $lt->__get('sTarNombre') ?></td>
                                                            <td>
                                                                <button type="button" onclick="removeTarea('<?php echo $lt->__get('nTarea_Id') ?>')"
                                                                    class="btn btn-danger btn-xs">
                                                                    <i class="fa fa-trash-o"></i>
                                                                </button>
                                                            </td>
                                                            </tr>
                                                        <?php endforeach; ?>
                                                    <?php }
                                                        else { ?>
                                                            <tr>
                                                                <td class="text-center" colspan="5">No hay información</td>
                                                            </tr>
                                                    <?php } ?>
                                                </tbody>

                                            </table>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div> <!-- /.row -->
                </form>
            </section><!-- /.content -->
            <script type="text/javascript" src="view/librerias/dist/js/jquery.tabletojson.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesPlantilla.js"></script>
            <script type="text/javascript">

                $('#nTarea_Id').selectpicker('refresh')

            </script>