<?php

require_once 'model/ordenestaller.model.php';
// require_once 'model/ordenestaller.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';
require_once 'model/clientes.entidad.php';
require_once 'model/clientes.model.php';  /*em 25-01-21 */

class OrdenesTallerController extends helpers
{

    private $ordenestaller_model;
    private $parametro_model;
    private $clientes_model;
    private $clientes_mod; /*em 25-01-21 */

    public function __CONSTRUCT()
    {
        $this->ordenestaller_model = new OrdenesTallerModel();
        $this->parametro_model = new ParametroModel();
        $this->clientes_model = new ClientesModel(); /*em 25-01-21 */
    }

    public function Index()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $ordenestaller = $this->ordenestaller_model->Listar();
        $clientes = $this->clientes_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfaordenestaller.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }
    /* em 25-01-2021 */  //para el cliente solamente
    public function Index2()
    {
        $parametro = $this->parametro_model->ListarParametros();
        $clientes = $this->clientes_model->Listar();
        $cliente = $this->clientes_model->Buscar($_SESSION['usu_Cli_Id']);
        $cliente = $cliente[0];
        $valo = $cliente->sCliCodigo;
        $ordenestaller = $this->ordenestaller_model->Listar();
        $array = [];
        /*em 25-01-21 */
        foreach ($ordenestaller as $r) {
            if ($r->sOTCodCliente == $valo) {
                $array[] = $r;
            }
        }
        $ordenestaller = $array;

        require_once 'view/headercliente.php';
        require_once 'view/webforms/wfaordenestaller.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function Guardar()
    {
        if ($_POST['ordenestaller_id'] == 0) {
            $this->ordenestaller_model->Guardar($_REQUEST);
        } else {
            $this->ordenestaller_model->Editar($_REQUEST);
        }
        echo '<script>window.location="?c=OrdenesTaller&a=Index";</script>';
    }

    public function Buscar()
    {



        // echo json_encode($this->ordenestaller_model->Buscar($_POST['ordenestaller_id']));
        $usuarios = $this->ordenestaller_model->Buscar($_POST['ordenestaller_id']);

        $array = [];

        foreach ($usuarios as $r) :

            $array[] = array(
                'ordenestaller_id' => $r->ordenestaller_id,
                'dOTFecha' => date('d-m-Y', strtotime($r->dOTFecha)),
                'sOTCodCliente' => $r->sOTCodCliente,
                'sOTCliente' => $r->sOTCliente,
                'sOTNumOrdenT' => $r->sOTNumOrdenT,
                'sOTArchivo' => $r->sOTArchivo,
                'nOTUsuario_Id' => $r->nOTUsuario_Id
            );

        endforeach;
        echo json_encode($array);
    }


    public function Eliminar()
    {
        $this->ordenestaller_model->Eliminar($_POST['ordenestaller_id']);
        echo '<script>window.location="?c=OrdenesTaller&a=Index"</script>';
    }

    public function SubirArchivo()
    {
        try {
            $ninforme = $_FILES['sOTArchivo']['name'];
            $target_informe = './ordenes_taller/' . $ninforme;
            move_uploaded_file($_FILES['sOTArchivo']['tmp_name'], $target_informe);
        } catch (Exception $exc) {
            echo $exc->getTraceAsString();
        }
    }
}
