<?php
require_once 'model/usuarioapp.entidad.php';
require_once 'model/usuarioapp.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';

class UsuarioAppController extends helpers {
    
    private $parametro_model;
    private $usuarioapp_model;

    public function __CONSTRUCT() {
        $this->usuarioapp_model = new UsuarioAppModel();
        $this->parametro_model = new ParametroModel();
    }

    public function Index() {
        $parametro = $this->parametro_model->ListarParametros();
        $usuarios = $this->usuarioapp_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfausuarioapp.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }
    
    public function FrmGuardarUsuarioApp() {
        require_once 'view/webforms/wfausuarioappa.php';
    }
    
    public function MostrarUsuarioApp() {
        $usuarios = $this->usuarioapp_model->Buscar($_POST['UsuarioApp_Id']);
        
        foreach ($usuarios as $r):
        echo " <tbody>
                          <tr>
                             <td>
                                <input type='hidden' name='idUsuario' id='idUsuario' value='" . $r->__GET('Usuario_Id') . "'>
                                Nombre
                             </td>
                             <td>" . $r->__GET('sUsuNombre') . "</td>
                          </tr>
                          <tr>
                             <td>Login</td>
                             <td>" . $r->__GET('Usuario_Id') . "</td>
                          </tr>
                          <tr>
                             <td>Estado</td>
                             <td>" . ($r->__GET('nUsuEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>') . "</td>
                          </tr>
                       </tbody>
                     ";
        endforeach;
    }
    
    public function FrmEditarUsuarioApp() {
        $obtenerUsuario = $this->usuarioapp_model->Buscar($_POST['UsuarioApp_Id']);
        foreach ($obtenerUsuario as $r):
        require_once 'view/webforms/wfausuarioappa.php';
        endforeach;
    }
    

    public function FrmNuevoUsu() {
        $parametro = $this->parametro_model->ListarParametros();
        $usuarios = $this->usuarioapp_model->Listar();
        require_once 'view/header.php';
        require_once 'view/webforms/wfausuarioa.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarUsuario() {
        require_once 'view/webforms/wfausuarioa.php';
    }

    public function FrmEditarUsuario() {
        $obtenerUsuario = $this->usuarioapp_model->Buscar($_POST['Usuario_Id']);
        foreach ($obtenerUsuario as $r):
            require_once 'view/webforms/wfausuarioappa.php';
        endforeach;
    }

    public function GuardarUsuarioApp() {
        $usu = new UsuarioApp();
        if ($_POST['idUsuario'] != '' ? $_POST['idUsuario'] : '');
        $usu->__SET('Usuario_Id', $_POST['Usuario_Id']);
        $usu->__SET('sUsuNombre', $this->str_uppercase($_POST['sUsuNombre']));
        $usu->__SET('sUsuPassword', $_POST['sUsuPassword']);
        $usu->__SET('nUsuWeb', $_POST['nUsuWeb']);
        $usu->__SET('nUsuTipo', $_POST['nUsuTipo'] == '' ? 0 : $_POST['nUsuTipo']);
        $usu->__SET('nUsuEstado', $_POST['nUsuEstado']);
        $usu->__SET('nUsuUsuarioOwn_Id', $_SESSION['usu_codigo']);
        $usu->__SET('sUsuCelular', $_POST['sUsuCelular']);
        $usu->__SET('sUsuCodigoSap', $_POST['sUsuCodigoSap']);
        $usu->__SET('sUsuPuesto', $_POST['sUsuPuesto']);
        $usu->__SET('sUsuDni', $_POST['sUsuDni']);
        if ($_POST['idUsuario'] == '' ? $this->usuarioapp_model->Guardar($usu) : $this->usuarioapp_model->Editar($usu));
    }

    public function EliminarUsuarioApp() {
        $usu = new UsuarioApp();
        $usu->__SET('Usuario_Id', $_POST['idUsuarioApp']);
        $usu->__SET('nUsuUsuarioOwn_Id', $_SESSION['usu_codigo']);
        $this->usuarioapp_model->Eliminar($usu);
        echo '<script type="text/javascript">window.location="?c=UsuarioApp&a=Index";</script>';
    }

    public function PDFUsuarioApp() {
        $datos = $this->usuarioapp_model->Buscar($_POST['idUsuario']);
        require_once 'view/webforms/PDF/usuario.php';
    }

}

?>