            <style>
                label.error {
                    color: red;
                }
                #table_equipo, #table_equipo2 {
                    width: 100% !important;
                }

                #table_equipo_length {
                    display: none;
                }

                #table_equipo_wrapper .row:first-of-type .col-xs-6:nth-of-type(2) {
                    width: 100% !important;
                    display: flex !important;
                    justify-content: end;
                }

                #table_equipo2_wrapper .row:first-of-type .col-xs-6:nth-of-type(2) {
                    width: 100% !important;
                    display: flex !important;
                    justify-content: end;
                }

                #table_equipo2_length {
                    display: none;
                }


                .spinner {
                    width: 56px;
                    height: 56px;
                    border-radius: 50%;
                    background: radial-gradient(farthest-side,#474bff 94%,#0000) top/9px 9px no-repeat,
                            conic-gradient(#0000 30%,#474bff);
                    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 9px),#000 0);
                    animation: spinner-c7wet2 1s infinite linear;
                }

                @keyframes spinner-c7wet2 {
                    100% {
                        transform: rotate(1turn);
                    }
                }

                .table + .row {
                    display: flex !important;
                    flex-direction: column !important;
                    align-items: center !important;
                    justify-content: center !important;
                }

                .table + .row > .col-xs-6 {
                    width: 100% !important;
                    text-align: center;
                }

                #table_equipo_info {
                    display: none;
                }

                #table_equipo2_info {
                    display: none;
                }
                input[type=checkbox] {
                    margin-bottom: 2px;
                    margin-left: 2px;
                }
            </style>
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Contrato
                    <small></small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
                    <li class="active">Registrar Contrato</li>
                </ol>
            </section>
            <!-- Main content -->
            <section class="content">
                <form role="form" method="POST" id="FrmContrato">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-6">
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos básicos</h3>
                                </div><!-- /.box-header -->
                                <!-- form start -->
                                <div class="box-body row">
                                    <div id="resultado" class="col-sm-12"></div>
                                    <!-- Date range -->
                                    <div class="form-group col-sm-12">
                                        <label>Pedido Contrato N°</label>
                                        <input type="hidden" id="Contrato_Id" name="Contrato_Id" value="<?php echo isset($r) ? $r->__GET("Contrato_Id") : '0'; ?>">
                                        <input type="text" maxlength="20" name="sConNumero" id="sConNumero" class="form-control" placeholder="Número Pedido" value="<?php echo isset($r) ? $r->__get('sConNumero') : '' ?>" />
                                    </div>
                                    <div class="form-group col-sm-12">
                                        <label>Cliente</label>
                                        <select name="nConCliente_Id" id="nConCliente_Id" class="form-control" data-live-search="true">
                                            <option selected disabled>Seleccione</option>
                                            <?php foreach ($clientes as $c) : ?>
                                                <option value="<?php echo $c->__get('Cliente_Id') ?>" <?php echo isset($r) && $r->__get('nConCliente_Id') == $c->__get('Cliente_Id') ? 'selected' : null ?>><?php echo $c->__get('sCliNombre') ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-sm-6">
                                        <label>Fecha Contrato</label>
                                        <input type="date" name="dConFecha" id="dConFecha" class="form-control" placeholder="RUC/DNI" value="<?php echo isset($r) ? $r->__get('dConFecha') : '' ?>" />
                                    </div>
                                    <div class="form-group col-sm-6">
                                        <label>Fecha de Inicio</label>
                                        <input type="date" name="dConFechaInicio" id="dConFechaInicio" class="form-control" placeholder="Telefono 1" value="<?php echo isset($r) ? $r->__get('dConFechaInicio') : '' ?>" />
                                    </div>
                                    <div class="form-group col-sm-6">
                                        <label>Fecha Término</label>
                                        <input type="date" name="dConFechaTermino" id="dConFechaTermino" class="form-control" placeholder="Telefono 2" value="<?php echo isset($r) ? $r->__get('dConFechaTermino') : '' ?>" />
                                    </div>
                                    <div class="form-group col-sm-6">
                                        <label>Período de Alquiler (días)</label>
                                        <input type="text" oninput="onlyNumbers(event)" name="sConPeriodoAlquiler" id="sConPeriodoAlquiler" class="form-control" placeholder="Número de días" value="<?php echo isset($r) ? $r->__get('sConPeriodoAlquiler') : '' ?>" />
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label>Ubicación</label>
                                        <input type="text" maxlength="50" name="sConUbicacion" id="sConUbicacion" class="form-control" placeholder="Ubicación" value="<?php echo isset($r) ? $r->__get('sConUbicacion') : '' ?>">
                                    </div>
                                </div><!-- /.box-body -->
                                <div class="box-footer">
                                    <button type="button" id="btn-save-contrato" class="btn btn-primary btn-flat">
                                        Guardar información
                                    </button>
                                    <a class="btn btn-danger btn-flat" href="?c=Contrato&a=Index">Cancelar</a>
                                </div>
                                <!-- Modal modeal-1 -->
                            </div><!-- /.box -->
                        </div><!--/.col (left) -->
                        <div class="col-md-6">

                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos equipos</h3>
                                </div><!-- /.box-header -->
                                <!-- form start -->
                                <div class="box-body">
                                    <div class="row">
                                        <div class="col-md-12" id="resultado_contacto">

                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label>Código</label>
                                            <input type="hidden" name="id-detalle-contrato" id="id-detalle-contrato" value="0">
                                            <div class="input-group">
                                                <input type="text" name="sDetConCodigo" id="sDetConCodigo" class="form-control" placeholder="Codigo" value="" />
                                                <!-- <span class="input-group-addon btn btn-info btn-flat" onclick="buscarEquipo()"><i class='fa fa-search'></i></span> -->
                                                <span class="input-group-addon btn btn-info btn-flat" onclick="showModalEquipos()"><i class='fa fa-search'></i></span>
                                            </div>
                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label>Serie</label>
                                            <input type="text" name="sDetConSerie" id="sDetConSerie" class="form-control" placeholder="Serie" value="" />
                                        </div>
                                        <div class="col-md-4 form-group">
                                            <label>Tipo</label>
                                            <input type="text" name="sDetConTipo" id="sDetConTipo" class="form-control" placeholder="Tipo" value="" />
                                        </div>
                                        <div class="form-group col-md-8">
                                            <label>Sucursal</label>
                                            <input type="text" name="sDetConSucursal" id="sDetConSucursal" class="form-control" placeholder="Sucursal" value="">
                                        </div>

                                        <div class="form-group col-md-4">
                                            <label>Plan de Horas</label>
                                            <input type="text" min="0" maxlength="4" oninput="onlyNumbers(event)" name="sDetConHorasOperacion" id="sDetConHorasOperacion" class="form-control" placeholder="" value="">
                                        </div>
                                        <div class="col-md-8 form-group">
                                            <label>Ubicación/Proyecto</label>
                                            <input type="text" name="sDetConUbicacion" id="sDetConUbicacion" class="form-control" placeholder="Ubicación/Proyecto" value="" />
                                        </div>
                                        
                                        <div class="col-md-12 form-group">
                                            <button type="button" class="btn btn-primary btn-flat" id="btn-add-detalle">Agregar</button>
                                            <button type="button" class="btn btn-danger btn-flat" id="btn-clear-detalle">Limpiar</button>
                                        </div>
                                        <div class="col-sm-12">
                                            <h4 style="padding-bottom: 10px; margin-bottom: 15px; border-bottom: 1px solid #f3f3f3;">Lista</h4>
                                        </div>
                                        <div class="col-sm-12">

                                            <table class="table table-bordered table-hover table-striped" id="table-ls-detalle-contrato">

                                                <thead>
                                                    <tr>
                                                        <th style="display: none;" data-override="cliente_contacto_Id">Id</th>
                                                        <th data-override="sCliConNombre">Codigo</th>
                                                        <th data-override="sCliConCargo">Serie</th>
                                                        <th data-override="sCliConCorreo">Tipo</th>
                                                        <th data-override="sCliConMovil">Sucursal</th>
                                                        <th data-override="sCliConMovil">Ubicación/Proyecto</th>
                                                        <th data-override="sCliConMovil">Horas operación</th>
                                                        <th>#</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php if (isset($lista_detalle) && !empty($lista_detalle)) {
                                                        $row = 0; ?>
                                                        <?php foreach ($lista_detalle as $ld) :
                                                            $row++;
                                                        ?>
                                                            <tr>
                                                                <td><?php echo $ld->__get('sDetConCodigo') ?></td>
                                                                <td><?php echo $ld->__get('sDetConSerie') ?></td>
                                                                <td><?php echo $ld->__get('sDetConTipo') ?></td>
                                                                <td><?php echo $ld->__get('sDetConSucursal') ?></td>
                                                                <td><?php echo $ld->__get('sDetConUbicacion') ?></td>
                                                                <td><?php echo $ld->__get('sDetConHorasOperacion') ?></td>
                                                                <td style="display: none;"><?php echo $row ?></td>
                                                                <td>
                                                                    <button type="button" onclick="editarInfo('<?php echo $row ?>')" class="btn btn-primary btn-xs">
                                                                        <i class="fa fa-pencil"></i>
                                                                    </button>
                                                                    <button type="button" onclick="removeRow('<?php echo $row ?>')" class="btn btn-danger btn-xs">
                                                                        <i class="fa fa-trash-o"></i>
                                                                    </button>
                                                                </td>
                                                            </tr>
                                                        <?php endforeach; ?>
                                                    <?php } else { ?>
                                                        <tr>
                                                            <td class="text-center" colspan="7">No hay información</td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>

                                            </table>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div> <!-- /.row -->
                </form>

                <!-- Modal modal-list-product -->
                <div class="modal fade" style="height: auto;" id="modal-list-product" tabindex="-1" role="dialog" aria-labelledby="modal-list-product-label" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                <h5>Lista de equipos <span id="auto_complete" style="font-weight: 700;"></span></h5>
                            </div>
                            <div class="modal-body">
                                <div style="margin-top: 8px;">

                                    <div id="wrapper_spinner" style="display: flex; justify-content: center; align-items: center">
                                        <div class="spinner"></div>
                                    </div>

                                    <div id="wrapper_table2" class="hidden">
                                        <div style="display: flex; align-items: center; gap: 0 10px">
                                            <span>Filtrar por: </span>
                                            <select name="nSelectTipo" id="nSelectTipo" onchange="filtrarPorTipo(this.value)">
                                                <option value="0" selected>Todos</option>
                                                <option value="1">GE</option>
                                                <option value="2">Torre</option>
                                                <option value="3">Compresor</option>
                                                <option value="4">Rodillo compactador</option>
                                            </select>
                                        </div>
                                        <table id="table_equipo2" class="table table-bordered table-striped text-center">
                                            <thead>
                                                <tr>
                                                    <th>Equipo</th>
                                                    <th>Modelo</th>
                                                    <th>Serie</th>
                                                    <th>Tipo</th>
                                                    <th>Acción</th>
                                                </tr>
                                            </thead>
                                            <tbody id="table_equipo_body2"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cerrar</button>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /Modal modal-list-product -->
            </section><!-- /.content -->


            <script type="text/javascript" src="view/librerias/dist/js/jquery.tabletojson.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesContrato.js"></script>
            <script type="text/javascript">
                $('#nConCliente_Id').selectpicker('refresh')

                function onlyNumbers(e) {
                    const input = e.target.value
                    const numbers = input.replace(/[^0-9]/g, '')
                    e.target.value = numbers
                }

                $('#modal-list-product').on('shown.bs.modal', function () {
                    listarEquipos()
                })
            </script>