$(function () {
    jQuery.fn.dataTableExt.oSort['fecha-asc'] = function (a, b) {
        var ukDatea = a.split('-');
        var ukDateb = b.split('-');

        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    };

    jQuery.fn.dataTableExt.oSort['fecha-desc'] = function (a, b) {
        var ukDatea = a.split('-');
        var ukDateb = b.split('-');

        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

        return ((x < y) ? 1 : ((x > y) ? -1 : 0));
    };

    $("#example1").dataTable();
});

$('#modal-eliminar').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget); // Button that triggered the modal
    var recipient = button.data('codigo'); // Extract info from data-* attributes

    // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
    // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
    var modal = $(this);
    modal.find('.modal-body input').val(recipient);
});

function InspeccionPDF(Inspeccion_Id) {

    var url = window.self.location.pathname + '?c=inspecciones&a=PDF&Inspeccion_Id=' + Inspeccion_Id;

    var w = window.open('', '_blank');
    w.document.write('<html><head><title>Generando Documento...</title>');
    w.document.write("<style>body {background:#282828 !important;color:#FFF;} p {font-family: 'Arial', sans-serif;font-size:18px; font-weight:700;padding-bottom:20px;color:#FFF;} .loader4 { width:45px;height:45px;display:inline-block;padding:0px;border-radius:100%;border:5px solid;border-top-color:rgba(246, 36, 89, 1);border-bottom-color:rgba(255,255,255, 0.3);border-left-color:rgba(246, 36, 89, 1);border-right-color:rgba(255,255,255, 0.3);-webkit-animation: loader4 1s ease-in-out infinite;animation: loader4 1s ease-in-out infinite; } @keyframes loader4 { from {transform: rotate(0deg);} to {transform: rotate(360deg);}} @-webkit-keyframes loader4 { from {-webkit-transform: rotate(0deg);} to {-webkit-transform: rotate(360deg);} }</style>");
    w.document.write("<script>setTimeout(function(){window.location.href='" + url + "';},1000);<\/script>");
    w.document.write('</head><body>');
    w.document.write('<div class="container"><div style="width:100%;"><div style="text-align:center;margin-top:20%;"><p>Se esta generando el Documento, porfavor espere...</p><div class="loader4"></div></div></div> ');
    w.document.write('</body></html>');
    w.document.close();
    w.focus();
}

function editarDetalle(id) {
    $.post('?c=inspecciones&a=FrmEditarDetalles', {
        Inspeccion_Id: id
    }, function (data) {
        $(".content-wrapper").html(data);
    });
}

function GuardarEdicionInspeccion() {
    try {
        var FormularioDatos = $('#FrmEditarInspeccion_Datos').serializeArray();
        var FormularioEvElectrica = $('#FrmEditarInspeccion_EvElectrica').serializeArray();
        var FormularioEvDiodos = $('#FrmEditarInspeccion_EvDiodos').serializeArray();
        var FormularioPruebaConCarga = $('#FrmEditarInspeccion_PruebaConCarga').serializeArray();

        var Inspeccion_Id = $('#Inspeccion_Id').val();
        var Usuario_Id = $('#Usuario_Id').val();
        var tabla_cabecera = [], tabla_evmecanica = [], tabla_evelectrica = [],
                tabla_evdiodos = [], tabla_pruebaconcarga = [];
        var jT_cabecera, jT_EvMecanica, jT_EvElectrica, jT_EvDiodos, jT_PruebaConCarga;

        tabla_cabecera.push({
            Inspeccion_Id: nulling(FormularioDatos[0].value),
            InsCliente: nulling(FormularioDatos[1].value),
            InsCodCliente: nulling(FormularioDatos[2].value),
            InsCodEquipo: nulling(FormularioDatos[11].value),
            InsProducto: nulling(FormularioDatos[12].value),
            InsServicio: nulling(FormularioDatos[10].value),
            InsSerie: nulling(FormularioDatos[13].value),
            InsMarca: nulling(FormularioDatos[14].value),
            InsKW: nulling(FormularioDatos[15].value),
            InsHorometro: nulling(FormularioDatos[16].value),
            InsMotorMarca: nulling(FormularioDatos[17].value),
            InsMotorSerie: nulling(FormularioDatos[18].value),
            InsMotorListaPartes: nulling(FormularioDatos[19].value),
            InsAlternadorMarca: nulling(FormularioDatos[20].value),
            InsAlternadorMotor: null,
            InsAlternadorSerie: nulling(FormularioDatos[21].value),
            InsAlternadorKW: nulling(FormularioDatos[22].value),
            InsFecha: nulling(FormularioDatos[23].value),
            InsHoraInicio: nulling(FormularioDatos[24].value),
            InsHoraTermino: nulling(FormularioDatos[25].value),
            InsTecnicoResponsable: nulling(FormularioDatos[26].value),
            InsFoto: null,
            InsRepresentante: null,
            InsRepCargo: null,
            InsEstado: 1,
            InsEliminado: 0,
            InsUsuario_Id: Usuario_Id,

            sDistrito: nulling(FormularioDatos[5].value),
            sSedeProyecto: nulling(FormularioDatos[6].value),
            sNombreContacto: nulling(FormularioDatos[8].value),
            sTelefonoContacto: nulling(FormularioDatos[9].value),
            sCiudad: nulling(FormularioDatos[7].value),
            sCalleAv: nulling(FormularioDatos[3].value),
            sNumero: nulling(FormularioDatos[4].value)
        });

        var cantidad_ev = $('.evmecanica_row').length;

        for (var i = 0; i < cantidad_ev; i++) {

            var pregunta_id = parseInt($('.evmecanica_row')[i].children[0].innerHTML);
            var respuesta = $('input[name="respuesta_' + pregunta_id + '"]:checked').val();
            var cantidad = $('input[name="nPreCantidad_' + pregunta_id + '"]').val();
            var NParte = $('input[name="nPreNroParte_' + pregunta_id + '"]').val();
            var Fecha = $('input[name="sPreFecha_' + pregunta_id + '"]').val();
            var Observaciones = $('input[name="nPrePreObservaciones_' + pregunta_id + '"]').val();

            if (respuesta == undefined && cantidad.length === 0 && NParte.length === 0 && Fecha.length === 0 && Observaciones.length === 0) {

            } else {
                tabla_evmecanica.push({
                    Inspeccion_Id: Inspeccion_Id,
                    Pregunta_Id: pregunta_id,
                    Respuesta: nulling(respuesta),
                    Cantidad: nulling(cantidad),
                    NParte: nulling(NParte),
                    Fecha: nulling(Fecha),
                    Observaciones: nulling(Observaciones)
                });
            }
        }

        tabla_evelectrica.push({
            Inspeccion_Id: Inspeccion_Id,
            seleccion: nulling($('.voltaje:checked').attr('aria-seleccion')),
            sMegSerie: nulling(FormularioEvElectrica[0].value),
            nMegT1T2: nulling(FormularioEvElectrica[1].value),
            nMegT1T3: nulling(FormularioEvElectrica[2].value),
            nMegT1T7: nulling(FormularioEvElectrica[3].value),
            nMegT1T8: nulling(FormularioEvElectrica[4].value),
            nMegT1T9: nulling(FormularioEvElectrica[5].value),
            nMegT1Trr: nulling(FormularioEvElectrica[6].value),
            nMegT1Val: nulling(FormularioEvElectrica[7].value),
            sMegT1Obs: nulling(FormularioEvElectrica[8].value),
            nMegT2T1: nulling(FormularioEvElectrica[9].value),
            nMegT2T3: nulling(FormularioEvElectrica[10].value),
            nMegT2T7: nulling(FormularioEvElectrica[11].value),
            nMegT2T8: nulling(FormularioEvElectrica[12].value),
            nMegT2T9: nulling(FormularioEvElectrica[13].value),
            nMegT2Trr: nulling(FormularioEvElectrica[14].value),
            nMegT2Val: nulling(FormularioEvElectrica[15].value),
            sMegT2Obs: nulling(FormularioEvElectrica[16].value),
            nMegT3T1: nulling(FormularioEvElectrica[17].value),
            nMegT3T2: nulling(FormularioEvElectrica[18].value),
            nMegT3T7: nulling(FormularioEvElectrica[19].value),
            nMegT3T8: nulling(FormularioEvElectrica[20].value),
            nMegT3T9: nulling(FormularioEvElectrica[21].value),
            nMegT3Trr: nulling(FormularioEvElectrica[22].value),
            nMegT3Val: nulling(FormularioEvElectrica[23].value),
            sMegT3Obs: nulling(FormularioEvElectrica[24].value),
            nMegT7T1: nulling(FormularioEvElectrica[25].value),
            nMegT7T2: nulling(FormularioEvElectrica[26].value),
            nMegT7T3: nulling(FormularioEvElectrica[27].value),
            nMegT7T8: nulling(FormularioEvElectrica[28].value),
            nMegT7T9: nulling(FormularioEvElectrica[29].value),
            nMegT7Trr: nulling(FormularioEvElectrica[30].value),
            nMegT7Val: nulling(FormularioEvElectrica[31].value),
            sMegT7Obs: nulling(FormularioEvElectrica[32].value),
            nMegT8T1: nulling(FormularioEvElectrica[33].value),
            nMegT8T2: nulling(FormularioEvElectrica[34].value),
            nMegT8T3: nulling(FormularioEvElectrica[35].value),
            nMegT8T7: nulling(FormularioEvElectrica[36].value),
            nMegT8T9: nulling(FormularioEvElectrica[37].value),
            nMegT8Trr: nulling(FormularioEvElectrica[38].value),
            nMegT8Val: nulling(FormularioEvElectrica[39].value),
            sMegT8Obs: nulling(FormularioEvElectrica[40].value),
            nMegT9T1: nulling(FormularioEvElectrica[41].value),
            nMegT9T2: nulling(FormularioEvElectrica[42].value),
            nMegT9T3: nulling(FormularioEvElectrica[43].value),
            nMegT9T7: nulling(FormularioEvElectrica[44].value),
            nMegT9T8: nulling(FormularioEvElectrica[45].value),
            nMegT9Trr: nulling(FormularioEvElectrica[46].value),
            nMegT9Val: nulling(FormularioEvElectrica[47].value),
            sMegT9Obs: nulling(FormularioEvElectrica[48].value),
            nMegEstExcTrr: nulling(FormularioEvElectrica[49].value),
            nMegEstExcVal: nulling(FormularioEvElectrica[50].value),
            sMegEstExcObs: nulling(FormularioEvElectrica[51].value),
            nMegRotPplTrr: nulling(FormularioEvElectrica[52].value),
            nMegRotPplVal: nulling(FormularioEvElectrica[53].value),
            sMegRotPplObs: nulling(FormularioEvElectrica[54].value),
            nMegRotExcTrr: nulling(FormularioEvElectrica[55].value),
            nMegRotExcVal: nulling(FormularioEvElectrica[56].value),
            sMegRotExcObs: nulling(FormularioEvElectrica[57].value),
            nMegPgmTrr: nulling(FormularioEvElectrica[58].value),
            nMegPgmVal: nulling(FormularioEvElectrica[59].value),
            sMegPgmOnbs: nulling(FormularioEvElectrica[60].value),
            sMegObservacion: nulling(FormularioEvElectrica[61].value)
        });

        tabla_evdiodos.push({
            Inspeccion_Id: Inspeccion_Id,
            sDirecto01: FormularioEvDiodos[0].value,
            sDirecto02: FormularioEvDiodos[1].value,
            sDirecto03: FormularioEvDiodos[2].value,
            sInverso01: FormularioEvDiodos[3].value,
            sInverso02: FormularioEvDiodos[4].value,
            sInverso03: FormularioEvDiodos[5].value,
            sVaristor: FormularioEvDiodos[6].value
        });

        tabla_pruebaconcarga.push({
            Inspeccion_Id: Inspeccion_Id,
            sPruHoraIni: FormularioPruebaConCarga[0].value,
            sPruHoraTer: FormularioPruebaConCarga[1].value,
            sPruFasesRST: FormularioPruebaConCarga[2].value,
            sPruSet00: FormularioPruebaConCarga[3].value,
            sPruSet25: FormularioPruebaConCarga[4].value,
            sPruSet50: FormularioPruebaConCarga[5].value,
            sPruSet75: FormularioPruebaConCarga[6].value,
            sPruSet100: FormularioPruebaConCarga[7].value,
            sPruSet110: FormularioPruebaConCarga[8].value,
            nPruTiempo: FormularioPruebaConCarga[9].value,
            sPruValor: FormularioPruebaConCarga[10].value,
            sPruObservaciones: FormularioPruebaConCarga[11].value,
            sPruDet01_0: FormularioPruebaConCarga[12].value,
            sPruDet01_1: FormularioPruebaConCarga[13].value,
            sPruDet01_2: FormularioPruebaConCarga[14].value,
            sPruDet01_3: FormularioPruebaConCarga[15].value,
            sPruDet01_4: FormularioPruebaConCarga[16].value,
            sPruDet01_5: FormularioPruebaConCarga[17].value,
            sPruDet02_0: FormularioPruebaConCarga[18].value,
            sPruDet02_1: FormularioPruebaConCarga[19].value,
            sPruDet02_2: FormularioPruebaConCarga[20].value,
            sPruDet02_3: FormularioPruebaConCarga[21].value,
            sPruDet02_4: FormularioPruebaConCarga[22].value,
            sPruDet02_5: FormularioPruebaConCarga[23].value,
            sPruDet03_0: FormularioPruebaConCarga[24].value,
            sPruDet03_1: FormularioPruebaConCarga[25].value,
            sPruDet03_2: FormularioPruebaConCarga[26].value,
            sPruDet03_3: FormularioPruebaConCarga[27].value,
            sPruDet03_4: FormularioPruebaConCarga[28].value,
            sPruDet03_5: FormularioPruebaConCarga[29].value,
            sPruDet04_0: FormularioPruebaConCarga[30].value,
            sPruDet04_1: FormularioPruebaConCarga[31].value,
            sPruDet04_2: FormularioPruebaConCarga[32].value,
            sPruDet04_3: FormularioPruebaConCarga[33].value,
            sPruDet04_4: FormularioPruebaConCarga[34].value,
            sPruDet04_5: FormularioPruebaConCarga[35].value,
            sPruDet05_0: FormularioPruebaConCarga[36].value,
            sPruDet05_1: FormularioPruebaConCarga[37].value,
            sPruDet05_2: FormularioPruebaConCarga[38].value,
            sPruDet05_3: FormularioPruebaConCarga[39].value,
            sPruDet05_4: FormularioPruebaConCarga[40].value,
            sPruDet05_5: FormularioPruebaConCarga[41].value,
            sPruDet06_0: FormularioPruebaConCarga[42].value,
            sPruDet06_1: FormularioPruebaConCarga[43].value,
            sPruDet06_2: FormularioPruebaConCarga[44].value,
            sPruDet06_3: FormularioPruebaConCarga[45].value,
            sPruDet06_4: FormularioPruebaConCarga[46].value,
            sPruDet06_5: FormularioPruebaConCarga[47].value,
            sPruDet07_0: FormularioPruebaConCarga[48].value,
            sPruDet07_1: FormularioPruebaConCarga[49].value,
            sPruDet07_2: FormularioPruebaConCarga[50].value,
            sPruDet07_3: FormularioPruebaConCarga[51].value,
            sPruDet07_4: FormularioPruebaConCarga[52].value,
            sPruDet07_5: FormularioPruebaConCarga[53].value,
            sPruDet08_0: FormularioPruebaConCarga[54].value,
            sPruDet08_1: FormularioPruebaConCarga[55].value,
            sPruDet08_2: FormularioPruebaConCarga[56].value,
            sPruDet08_3: FormularioPruebaConCarga[57].value,
            sPruDet08_4: FormularioPruebaConCarga[58].value,
            sPruDet08_5: FormularioPruebaConCarga[59].value,
            sPruDet09_0: FormularioPruebaConCarga[60].value,
            sPruDet09_1: FormularioPruebaConCarga[61].value,
            sPruDet09_2: FormularioPruebaConCarga[62].value,
            sPruDet09_3: FormularioPruebaConCarga[63].value,
            sPruDet09_4: FormularioPruebaConCarga[64].value,
            sPruDet09_5: FormularioPruebaConCarga[65].value,
            sPruDet10_0: FormularioPruebaConCarga[66].value,
            sPruDet10_1: FormularioPruebaConCarga[67].value,
            sPruDet10_2: FormularioPruebaConCarga[68].value,
            sPruDet10_3: FormularioPruebaConCarga[69].value,
            sPruDet10_4: FormularioPruebaConCarga[70].value,
            sPruDet10_5: FormularioPruebaConCarga[71].value,
            sPruDet11_0: FormularioPruebaConCarga[72].value,
            sPruDet11_1: FormularioPruebaConCarga[73].value,
            sPruDet11_2: FormularioPruebaConCarga[74].value,
            sPruDet11_3: FormularioPruebaConCarga[75].value,
            sPruDet11_4: FormularioPruebaConCarga[76].value,
            sPruDet11_5: FormularioPruebaConCarga[77].value,
            sPruDet12_0: FormularioPruebaConCarga[78].value,
            sPruDet12_1: FormularioPruebaConCarga[79].value,
            sPruDet12_2: FormularioPruebaConCarga[80].value,
            sPruDet12_3: FormularioPruebaConCarga[81].value,
            sPruDet12_4: FormularioPruebaConCarga[82].value,
            sPruDet12_5: FormularioPruebaConCarga[83].value,
            sPruDet13_0: FormularioPruebaConCarga[84].value,
            sPruDet13_1: FormularioPruebaConCarga[85].value,
            sPruDet13_2: FormularioPruebaConCarga[86].value,
            sPruDet13_3: FormularioPruebaConCarga[87].value,
            sPruDet13_4: FormularioPruebaConCarga[88].value,
            sPruDet13_5: FormularioPruebaConCarga[89].value,
            sPruDet14_0: FormularioPruebaConCarga[90].value,
            sPruDet14_1: FormularioPruebaConCarga[91].value,
            sPruDet14_2: FormularioPruebaConCarga[92].value,
            sPruDet14_3: FormularioPruebaConCarga[93].value,
            sPruDet14_4: FormularioPruebaConCarga[94].value,
            sPruDet14_5: FormularioPruebaConCarga[95].value,
            sPruDet15_0: FormularioPruebaConCarga[96].value,
            sPruDet15_1: FormularioPruebaConCarga[97].value,
            sPruDet15_2: FormularioPruebaConCarga[98].value,
            sPruDet15_3: FormularioPruebaConCarga[99].value,
            sPruDet15_4: FormularioPruebaConCarga[100].value,
            sPruDet15_5: FormularioPruebaConCarga[101].value,
            sPruDet16_0: FormularioPruebaConCarga[102].value,
            sPruDet16_1: FormularioPruebaConCarga[103].value,
            sPruDet16_2: FormularioPruebaConCarga[104].value,
            sPruDet16_3: FormularioPruebaConCarga[105].value,
            sPruDet16_4: FormularioPruebaConCarga[106].value,
            sPruDet16_5: FormularioPruebaConCarga[107].value,
            sPruDet17_0: FormularioPruebaConCarga[108].value,
            sPruDet17_1: FormularioPruebaConCarga[109].value,
            sPruDet17_2: FormularioPruebaConCarga[110].value,
            sPruDet17_3: FormularioPruebaConCarga[111].value,
            sPruDet17_4: FormularioPruebaConCarga[112].value,
            sPruDet17_5: FormularioPruebaConCarga[113].value,
            sPruDet18_0: FormularioPruebaConCarga[114].value,
            sPruDet18_1: FormularioPruebaConCarga[115].value,
            sPruDet18_2: FormularioPruebaConCarga[116].value,
            sPruDet18_3: FormularioPruebaConCarga[117].value,
            sPruDet18_4: FormularioPruebaConCarga[118].value,
            sPruDet18_5: FormularioPruebaConCarga[119].value,
            sPruDet19_0: FormularioPruebaConCarga[120].value,
            sPruDet19_1: FormularioPruebaConCarga[121].value,
            sPruDet19_2: FormularioPruebaConCarga[122].value,
            sPruDet19_3: FormularioPruebaConCarga[123].value,
            sPruDet19_4: FormularioPruebaConCarga[124].value,
            sPruDet19_5: FormularioPruebaConCarga[125].value,
            sPruDet20_0: FormularioPruebaConCarga[126].value,
            sPruDet20_1: FormularioPruebaConCarga[127].value,
            sPruDet20_2: FormularioPruebaConCarga[128].value,
            sPruDet20_3: FormularioPruebaConCarga[129].value,
            sPruDet20_4: FormularioPruebaConCarga[130].value,
            sPruDet20_5: FormularioPruebaConCarga[131].value,
            sPruDetObs_0: FormularioPruebaConCarga[132].value,
            sPruDetObs_1: FormularioPruebaConCarga[133].value,
            sPruDetObs_2: FormularioPruebaConCarga[134].value,
            sPruDetObs_3: FormularioPruebaConCarga[135].value,
            sPruDetObs_4: FormularioPruebaConCarga[136].value,
            sPruDetObs_5: FormularioPruebaConCarga[137].value
        });

        jT_cabecera = JSON.stringify(tabla_cabecera);
        jT_EvMecanica = JSON.stringify(tabla_evmecanica);
        jT_EvElectrica = JSON.stringify(tabla_evelectrica);
        jT_EvDiodos = JSON.stringify(tabla_evdiodos);
        jT_PruebaConCarga = JSON.stringify(tabla_pruebaconcarga);

        $.post('?c=inspecciones&a=GuardarEdicion_Datos', {
            jcabecera: jT_cabecera
        }, function (data) {
            console.log('GuardarEdicion_Datos:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_EvMecanica', {
            jEvMecanica: jT_EvMecanica
        }, function (data) {
            console.log('GuardarEdicion_EvMecanica:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_EvElectrica', {
            jEvElectrica: jT_EvElectrica
        }, function (data) {
            console.log('GuardarEdicion_EvElectrica:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_EvDiodos', {
            jEvDiodos: jT_EvDiodos
        }, function (data) {
            console.log('GuardarEdicion_EvDiodos:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_PruebaConCarga', {
            jPruebaConCarga: jT_PruebaConCarga
        }, function (data) {
            console.log('GuardarEdicion_PruebaConCarga:', data);
        });

        window.location.href = "?c=inspecciones&a=Index";
    } catch (e) {
        console.log(e);
    }
}

function nulling(valor) {
    var salida = valor;
    if (valor === '' || valor == undefined) {
        salida = null;
    }

    return salida;
}