<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Mantenimientos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Mantenimientos</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de mantenimientos</h3>

                    <div class="row">

                        <div class="col-md-6">
                            <form action="?c=Mantenimiento&a=index" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        Fecha Desde <br />
                                        <input type="date" class="form-control" name="fechaIni" id="fechaIni" value="<?php echo $fechaIni; ?>">
                                    </div>
                                    <div class="col-md-3">
                                        Fecha Hasta <br />
                                        <input type="date" class="form-control" name="fechaFin" id="fechaFin" value="<?php echo $fechaFin; ?>">
                                    </div>
                                    <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>

                                </div>
                            </form>
                        </div>

                        <?PHP
                        switch ($_SESSION['usu_tipo']) {
                            case '1':
                            case '2':
                            case '3':
                            case '10':
                        ?>
                                <div class="col-md-6 text-right" style="margin-top: 15px;">
                                    <a class="btn btn-primary btn-flat" onclick="FrmGuardarMantenimiento();">Nuevo mantenimiento</a>
                                </div>
                        <?PHP } ?>
                    </div>

                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>N° Correlativo</th>
                                <th>Fecha</th>
                                <th>Equipo</th>
                                <th>Serie</th>
                                <th>Horómetro</th>
                                <th>Mantenimiento</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach($mantenimientos as $m):
                                    $estado = "";
                                ?>
                                <?php
                                    if ($m->__get('nManEstado') == 0) {
                                        $estado = '<span class="label label-danger">Anulado</span>';
                                    } else if ($m->__get('nManEstado') == 1) {
                                        $estado = '<span class="label label-warning">Realizado</span>';
                                    } else if ($m->__get('nManEstado') == 2) {
                                        $estado = '<span class="label label-success">Aprobado</span>';
                                    }
                                ?>
                                <tr>
                                    <td><?php echo $m->__get('Mantenimiento_Id') ?></td>
                                    <td><?php echo $m->__get('dManFecha_Act') ?></td>
                                    <td><?php echo $m->__get('sEqActivoFijo') ?></td>
                                    <td><?php echo $m->__get('sEqSerie') ?></td>
                                    <td><?php echo $m->__get('sManOdometroActual') ?></td>
                                    <td><?php echo $m->__get('sManMantActual') ?></td>
                                    <td><?php echo $estado ?></td>
                                    <td>
                                        <?php if ($m->__get('nManEstado') == 1) { ?>
                                            <a class="btn btn-primary btn-xs" onclick="FrmEditarMantenimiento('<?php echo $m->__get('Mantenimiento_Id') ?>')" title="Editar"><i class="fa fa-pencil"></i></a>
                                        <?php } ?>
                                        <a class="btn btn-warning btn-xs view" title="Ver pdf" href="javascript:InspeccionPDF('<?php echo $m->__GET("Mantenimiento_Id"); ?>')"><i class="fa fa-file-text" aria-hidden="true"></i></a>
                                        
                                        <?php if ($m->__get('nManEstado') != 0) { ?>

                                            <button type="button" class="btn btn-danger btn-xs" title="Elimnar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $m->__get('Mantenimiento_Id'); ?>"><i class="fa fa-trash-o"></i></button>
                                            <button type="button" class="btn btn-success btn-xs" title="<?php echo $m->__get('nManEstado') == 1 ? 'Aprobar' : 'Reaperturar' ?>"
                                                data-toggle="modal" data-codigo="<?php echo $m->__get('Mantenimiento_Id'); ?>" data-estado="<?php echo $m->__get('nManEstado'); ?>" data-target="#modal-ver"
                                            >
                                                <i class="fa <?php echo $m->__get('nManEstado') == 1 ? 'fa-check' : 'fa-repeat' ?>" aria-hidden="true" ?></i>
                                            </button>

                                        <?php } ?>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>N° Correlativo</th>
                                <th>Fecha</th>
                                <th>Equipo</th>
                                <th>Serie</th>
                                <th>Horómetro</th>
                                <th>Mantenimiento</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Mantenimiento&a=Accion" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label" style="font-weight: 600;">Mantenimiento</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="idMant" id="idMant" value="">
                                        <input type="hidden" name="valueEstado" id="valueEstado" value="">
                                        <p style="font-weight: 500; font-size: 16px">
                                            ¿Estás seguro de <span id="span_body"></span> este mantenimiento?
                                        </p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary">Sí, <span id="span_footer"></span></button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, Cerrar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Mantenimiento&a=EliminarMantenimiento" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="idMantenimiento" id="idMantenimiento" value="">
                                        ¿Estás seguro que desea eliminar?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary">Si, eliminar</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesMantenimiento.js"></script>
<!-- <script type="text/javascript" src="view/librerias/dist/js/funcionesInspeccion.js"></script> -->
<script type="text/javascript">

    document.getElementById('fechaIni').addEventListener('change', function(e) {
        const fechaIni = new Date(e.target.value)

        fechaIni.setMonth(fechaIni.getMonth() + 1)

        const fechaFin = fechaIni.toISOString().split('T')[0]

        document.getElementById('fechaFin').value = fechaFin
    })

    document.getElementById('fechaFin').addEventListener('change', function(e) {
        const fechaFin = new Date(e.target.value)

        fechaFin.setMonth(fechaFin.getMonth() - 1)

        const fechaIni = fechaFin.toISOString().split('T')[0]

        document.getElementById('fechaIni').value = fechaIni
    })

    $(function () {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function (a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function (a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable();
    });
    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });

    $('#modal-ver').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var idMan = button.data('codigo'); // Extract info from data-* attributes
        var estado = button.data('estado');

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('#idMant').val(idMan);
        modal.find('#valueEstado').val(estado);

        if (estado === 1) {
            document.getElementById('span_body').innerText = 'Aprobar';
            document.getElementById('span_footer').innerText = 'Aprobar';
        } else if (estado === 2) {
            document.getElementById('span_body').innerText = 'Reaperturar';
            document.getElementById('span_footer').innerText = 'Reaperturar';
        }
    });
</script>